#!/usr/bin/env python3
# -*- coding: utf-8 -*-

from gettext import gettext as _

from gi import require_version
require_version("Gtk", "3.0")

from gi.repository import Gtk
from gi.repository import Gdk
from gi.repository import GdkPixbuf

from .configuration import *
from .window.about import AboutWindow

class About(AboutWindow):

    def __init__(self, app = None, *args, **kwargs):
        super().__init__(*args, **kwargs)

        if app is not None:
            self.app = app

        """
        Build Window
        """
        if self.app is not None and self.app.window is not None:
            self.set_transient_for(self.app.window)

        """
        Build Content
        """
        self.set_program_name(APP_NAME)
        self.set_website(APP_URL)
        self.set_version(APP_VERSION)
        self.set_comments(APP_DESCRIPTION)
        self.set_authors(APP_AUTHORS)
        self.set_translator_credits(' '.join(APP_TRANSLATORS))
        self.set_documenters(APP_DOCUMENTERS)
        self.set_license_type(APP_LICENSE)
        self.set_copyright(APP_COMMENTS)
        self.set_icon_name(APP_ICON_NAME)
        self.set_logo_icon_name(APP_LOGO_NAME)


        #TODO: Local icons
        #theme = Gtk.IconTheme.get_default()
        #self.set_logo(theme.load_icon('io.github.Pithos', 96, 0))

    def window(self):
        self.show()
